#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
#|   R4RS  section 6.2   |#

#| obsolete in v2.0.5g
(define (_eq? x y)
    (eq? x y))
|#

(define (eqv? x y)
    (if (double-float? x)
	(if (double-float? y)
	    (binary=? x y)
	    #f)
	(eq? x y)))

(define-generic-fn equal?)

(define-method equal? ((x <vector>) y)
    (if (vector? y)
        (let (((y <vector>) (%cast <vector> y)))
	    (if (eq? (vector-length x)
		     (vector-length y))
		(let loop (((i <fixnum>) (vector-length x)))
		    (if (eq? i 0)
			#t
			(if (equal? (vector-ref x (sub1 i))
				    (vector-ref y (sub1 i)))
			    (loop (sub1 i))
			    #f)))
		#f))
	#f))

(define-method equal? ((x <number>) y)
    (eqv? x y))

(define-method equal? ((x <string>) y)
    (and (string? y)
	 (string=? x y)))

(define-method equal? ((x <pair>) y)
    (and (pair? y)
	 (equal? (car x) (car y))
	 (equal? (cdr x) (cdr y))))

(define-method equal? ((x <object>) y)
    (eq? x y))

#|
(define (equal? x y)
    (cond 
	((pair? x)  (if (pair? y)
			(and (equal? (car x) (car y))
				(equal? (cdr x) (cdr y)))
			#f))
	((vector? x)(if (vector? y)
			(let (((x <vector>) (%cast <vector> x))
			      ((y <vector>) (%cast <vector> y)))
			    (if (eq? (vector-length x)
			     	     (vector-length y))
				(let loop ((i (vector-length x)))
				    (if (eq? i 0)
					#t
					(if (equal? (vector-ref x (sub1 i))
						    (vector-ref y (sub1 i)))
					    (loop (sub1 i))
					    #f)))
				#f))
			#f))
	((string? x)(if (string? y)
			(string=? x y)
			#f))
	(else (eqv? x y))))
|#
    
;; obsolete in v2.0.5g (export (_eq? eq?))

(export	eqv? 
	equal?)

	