#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
(define %console-input-port #f)
(define %console-output-port #f)

#|
(define-syntax write
    (syntax-form (thing port)
	(let ((t thing))
	    ((%gvec-read (class-of t) 5) t port)))
    (syntax-form (thing)
	(let ((t thing))
	    ((%gvec-read (class-of t) 5) t (current-output-port))))
    (else _write))

(define (_write thing . port)
    (if (null? port)
	(write thing)
	(write thing (car port))))
|#

(define-macro (%write thing port)
    ((%gvec-read (class-of thing) 5) thing port))

(define-macro (%display thing port)
    ((%gvec-read (class-of thing) 6) thing port))

(define (_%write thing port)
    (%write thing port))
    
(define (_%display thing port)
    (%display thing port))
    
(export (%console-input-port :shared)
	(%console-output-port :shared)
	%write
	%display
	_%write
	_%display)
