#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
(define (do-rewriter form)
    (let ((bdgs (car (cdr form)))
    	  (test (car (cdr (cdr form))))
	  (body (cdr (cdr (cdr form))))
	  (loop-name ($gensym)))
	(let ((vars (map _car bdgs))
	      (inits (map _cadr bdgs))
	      (incs (map (lambda (x) 
	      		    (if (null? (cdr (cdr x)) )
			        (car x) 
				(car (cdr (cdr x))) ))
		     bdgs)))
	    (list
		'let
		loop-name 
	        (map _list vars inits)
		(list
		    'if
		    (car test)
		    (cons 'begin (cdr test))
		    (list
			'begin
			(cons 'begin body)
			(cons loop-name incs)))))))

(define (let*-rewriter form)
    (let ((bdgs (car (cdr form))))
	(if (null? bdgs)
	    (cons 'begin (cdr (cdr form)))
	    (list
		'let
		(list (car bdgs))
		(cons
		    'let*
		    (cons (cdr bdgs)
			  (cdr (cdr form))))))))

