/*
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
*/
#define INVOKE_GENERIC() STMT(COLLECT0(); \
			      REG1 = REG0; \
			      REG0 = LITERAL(0); \
			      APPLY(2,TLREF(1));)

#define ARITHMETIC_ORDER_PREDICATE(op) \
    int flag; \
	if (OBJ_ISA_FIXNUM(REG0)) { \
	    if (OBJ_ISA_FIXNUM(REG1)) \
		flag = IVAL(REG0) op IVAL(REG1); \
	    else if (LONGFLOAT_P(REG1)) \
		flag = (IEEE_64)fx2int(REG0) op extract_float(REG1); \
	    else goto invoke_generic_fn; } \
	else if (LONGFLOAT_P(REG0)) { \
	    if (OBJ_ISA_FIXNUM(REG1)) \
		flag = extract_float(REG0) op (IEEE_64)fx2int(REG1); \
	    else if (LONGFLOAT_P(REG1)) \
		flag = extract_float(REG0) op extract_float(REG1); \
	    else goto invoke_generic_fn; } \
	else goto invoke_generic_fn; \
	REG0 = flag ? TRUE_OBJ : FALSE_OBJ; RETURN(1); \
	invoke_generic_fn: INVOKE_GENERIC();

#define REAL_OPERATOR(op) \
    COUNT_ARGS(1); \
    REG0 = make_float( op( get_float( REG0, FUNCTION, "z" ) ) ); \
    RETURN(1);

