/*
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
*/
#ifndef _H_STR2NUM
#define _H_STR2NUM

#include "obj.h"

/* fills buffer right-to-left (so, starts writing at buffer[-1]) */

char *fixnum_to_string( char *buffer, obj value, unsigned radix );

/* fills buffer left-to-right */

char *double_float_to_string( char *buffer, obj value );

/* returns FALSE_OBJ on lex error.  presumes 2 <= radix <= 36  */

obj string_to_number( const char *str, unsigned radix );

#endif _H_STR2NUM
