#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
#|
    Binky OBjects   (2.0)
    
    for EasyScheme2/RScheme


    This subsystem provides the interface to the built-in
    object system
|#

;(load "../builtins/macros.scm")

(load "rw_igfs.scm")
(load "bobsyntx.scm")
(load "fielders.scm")

(load "structs.scm")
(load "typesys.scm")	;; class-of, subclass?, etc.
(load "class.scm")

(load "bootclsa.scm")	;; bootstrapping classes
(load "fastgfs.scm")
(load "bootclsb.scm")
(load "object.scm")	;; methods & functions on <Object>

(load "stdclass.scm")	;; the standard classes
;(load "roots.scm")	;; just define roots, instead

(load "gfs.scm")
