#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
(define-class root: "byte_vector_class" <ByteVector> (<Object>) 
	:bvec 
	image-mode: 1)

(define-class root: "c_text_class" <C-Text> (<Object>) 
	:no-ivar-gfs
	c-text-contents) 

(define-class <PartDescr> (<Object>) 
              :no-ivar-gfs 
	      image-mode: 3
	module-name 
	part-tag
	linkage)


(define-class root: "partcont_class" <PartialContinuation> (<Object>) 
	    :no-ivar-gfs 
	    image-mode: 5
	envt-reg 
	literals-reg 
	dynamic-state-reg 
	continuation-reg 
	jump-addr)

(define-class root: "boolean_class" <Boolean> (<Object>) :immob)
(define-class root: "nil_class" <Null> (<List>) :immob)
(define-class root: "ascii_char_class" <ASCII-Char> (<Object>) :immob)
(define-class root: "unicode_char_class" <Unicode-Char> (<Object>) :immob)

;(define-class root: "undefined_class" <Undefined> (<Object>) :immob)
;(define-class root: "uninitialized_class" <Uninitialized> (<Object>) :immob)
;(define-class root: "novalue_class" <None> (<Object>) :immob)
;(define-class root: "unbound_class" <Unbound> (<Object>) :immob)

(define-class root: "unique_obj_class" <UniqueObject> (<Object>) :immob)

(export <ByteVector>
	<C-Text>
	<PartDescr>
	<PartialContinuation>
	<Boolean>
	<Null>
	<ASCII-Char>
	<Unicode-Char>
	;<Undefined>
	;<Uninitialized>
	;<None>
	;<Unbound>
	<UniqueObject>)
