#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
;; estimating the size of code...

(define (count-vinsn vi)
    (case (car vi)
	((if)
	    (+ 1 (count-vinsn (caddr vi))
	         (count-vinsn (cadddr vi))))
	((seq)
	    (+ 1 (count-vinsns (cdr vi))))
	(else
	    1)))
	
(define (count-vinsns vinsns)
    (let loop ((i vinsns) (n 0))
	(if (null? i)
	    n
	    (loop (cdr i)
	    	  (+ (count-vinsn (car vinsns))
		     n)))))
