/*
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
*/
#ifndef _H_GCSTRUCT
#define _H_GCSTRUCT

struct _MEMSizeClass;
struct _MEMHeader;

typedef struct _MEMSizeClass {
    struct _MEMHeader *free;
    struct _MEMHeader *alloced;
    unsigned		item_size;
    unsigned		alloc_num;
} MEMSizeClass;

typedef struct _MEMHeader {
    struct _MEMHeader	*next;
    unsigned		black_flag;
#ifdef DEBUG_BACKTRACK
    unsigned	        actual_size;
    unsigned	        extra_flag;
#endif /* DEBUG_BACKTRACK */
} MEMHeader;

#define BYTES_PER_SIZE_CLASS (16)
#define NUM_SIZE_CLASSES (32)


#endif /* _H_GCSTRUCT */
