#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
;;  Garbage Colletion Interface
;;  created: 7/21/94 dmk

(%define-glue (reset-allocation-stats)
{
#ifdef COUNT_ALLOCS
extern unsigned total_alloc_bytes;
extern unsigned total_alloc_objects;

    total_alloc_bytes = 0;
    total_alloc_objects = 0;
#endif
    RETURN0();
})

(%define-glue (allocation-stats)
{
#ifdef COUNT_ALLOCS
extern unsigned total_alloc_bytes;
extern unsigned total_alloc_objects;

    REG0 = make2( vector_class,
		  int2fx( total_alloc_objects ),
		  int2fx( total_alloc_bytes ) );
#else
    REG0 = FALSE_OBJ;
#endif
    RETURN(1);
})

(%define-glue (garbage-collect)
{
    gc_full_collect();
    RETURN0();
})

(export reset-allocation-stats allocation-stats garbage-collect)
