/*
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
*/
#ifndef _H_SCMTIME
#define _H_SCMTIME

#include "runtim.h"

struct scheme_time {
    INT_32  sec;	/* seconds */
    INT_32  usec;	/* microseconds */
};

obj make_time( struct scheme_time t, obj t_class );
obj make_time_sec( int t, obj t_class );

struct scheme_time timeadd( obj t, obj dt );
struct scheme_time timesub( obj t1, obj t2 );
struct scheme_time intervalsub( obj t1, obj t2 );

struct scheme_time extract_schemetime( obj heap_schemetime );
int timecmp( obj t1, obj t2 );

obj time_to_string( obj t, obj fmt );

#endif /* _H_SCMTIME */
