# Copyright (C) 1994  Donovan Kolbly, Paul Wilson
#
# This file is part of RScheme (v0.5.0, 94.12.31)
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 
# The author may be reached at Donovan.Kolbly@TKG.com
# or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
.h.p:
	cc -precomp $(CFLAGS1) $*.h -o $*.p

OTHER_FILES=platform platform.h Makefile util system.img$(ALTM)

dist::
	gnutar +exclude '*.o' -cf - $(SUBPROJECTS) platform \
	> /tmp2/v2.0.tar
#	| gzip -c > /tmp2/v2.0.tar.z

CSHOST=plucky.cs
REBUILD_SECTIONS=asm bltin bnchmark bob2 cmplr ezcmp hasht heapi \
		 oslib repl scmio scmlib thread usrlib
NEWM=1
RECOVER_SECTIONS=bltin_m$(NEWM) oslib_m$(NEWM) repl_m$(NEWM) \
	         scmio_m$(NEWM) usrlib_m$(NEWM) system.img$(NEWM)
REMOTE_DIR=rebuild

start-rebuild::
	gnutar --exclude '*.o' -cf - $(REBUILD_SECTIONS) | \
	rsh $(CSHOST) -l dkolbly rm -rf $(REMOTE_DIR).old \; \
	mv $(REMOTE_DIR) $(REMOTE_DIR).old \; \
	mkdir $(REMOTE_DIR) \; \
	cd $(REMOTE_DIR) \; /bin/tar -xvf - ; \
	rsh $(CSHOST) -l dkolbly cd $(REMOTE_DIR) \; \
	esj -e '"(define *tag* \"$(NEWM)\")"' ezcmp/build \< /dev/null

done-rebuild:
	rsh $(CSHOST) -l dkolbly cd $(REMOTE_DIR) \;\
	/bin/tar -cf - $(RECOVER_SECTIONS) > recover.tar

foo:
	rsh $(CSHOST) -l dkolbly esj -e '"(define *tag* \"$(NEWM)\")"' xx
