#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
;;$Id: repl.scm,v 1.10 1994/12/29 22:08:53 donovan Exp $

(import bltin)
(import tables)
(import scmio)
(import oslib)
(import usrlib)

(prologue {
#include "scmio_p.h"
})

(load "../thread/thread.scm")

(load "../cmplr/cmplr.scm")
(load "repl.cls")

(load "cmdloop.scm")
(load "usrenvt.scm")
(load "defs.scm")
(load "mktlvs.scm")
(load "backtrac.scm")
(load "replexc.scm")
(load "../bob2/rw_igfs.scm")
(load "smacro.scm")
(load "help.scm")
;(load "../bnchmark/setup.scm")
;(load "../bnchmark/bnchmark.scm")
(load "start.scm")
(load "load.scm")
(load "colonc.scm")
(load "ccbt.scm")
(load "usrintro.scm")

;; v2.0.5g 94.06.21 is the first to use some safe inlined primitives
;;         (cons, pair?, and null?)
;; (v2.0.5m, 94.08.09) was the last EasyScheme version
;; (v0.3.5, 94.11.01) was the last version nobody paid for
;; (v0.4.0, 94.11.16) is the first public release
;; (v0.5.0, 94.12.31) is the second public release
;;                         contains some enhancements, fixes a few bugs
#|
                      (changes:
		       bind fixed to use #rest
		       case sensitive by default (but can't rebuild this way)
		       list? fixed
		       ansi platform added
		       ^D from REPL is like ,up instead of ,(resume)
|#
;; (v0.6.0) should be the third public release and should include
;;          the bytecode interpreter

(define $version "RScheme (v0.5.0, 94.12.31)")

;(load "../ezcmp/ezcmp.scm")
(load "../asm/asm.scm")
