#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
;;$Id: usrintro.scm,v 1.2 94/11/01 16:48:12 donovan Exp $
;; user environment introspection facilities

(define (top-level-var? bdg)
    (instance? bdg <TopLevelVar>))

(define (binding-value binding)
    (type-check binding top-level-var? <TopLevelVar>)
    (value binding))

(define (bind-user-envt-introspection! envt)
    (bind-tlvs! envt
	binding-value
	syntax-checker set-syntax-checker!
	compiler set-compiler!)
    (tle-bind! envt (make <TopLevelVar> name: 'bound?
    					value: (lambda 'bound? (name)
						   (and (lookup envt name)
						   	#t))))
    (tle-bind! envt (make <TopLevelVar> name: 'binding-of
    					value: (lambda 'binding-of (name)
						   (lookup envt name)))))
