#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#

#|
(define-syntax %default-format-fn
    (syntax-form ('#\a) %display)
    (syntax-form ('#\s) %write)
    (syntax-form ('#\d) write-dec)
    (syntax-form ('#\x) write-hex)
    (syntax-form ('#\b) write-bin)
    (syntax-form ('#\o) write-oct)
    (syntax-form ('#\c) write-char)
    (syntax-form ('#\>) write-tab4))
    


(define (_ct-format . args)
    (apply* args format))

(export (_ct-format ct-format))
|#

(define-shadow ct-format-rewriter ct-format-rewriter)
;(define-shadow ct-format ct-format)
;(define-shadow *default-ct-formatters* *default-ct-formatters*)

(define-rewriter (ct-format form)
    (ct-format-rewriter *default-ct-formatters* form))
;(define-rewriter (ct-format form)
;    (cons 'format (cdr form)))

(export ct-format ct-format-rewriter *default-ct-formatters*)
