#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
(import bltin)
(import tables)

(prologue {
#include "privio.h"
#include <string.h>
})

(load "classes.scm")
(load "ip_glue.scm")
(load "op_glue.scm")

(load "outpriv.scm")
(load "../bob2/structs.scm")
(load "writers.scm")

(load "fmtlang.scm")
(load "fmt_ct.scm")
(load "fmt_rt.scm")

(load "pubout.scm")
(load "pubin.scm")

(load "sscan.scm")
(load "reader.scm")

(include-h "privio.h")
(include-c "op_file.c")
(include-c "op_str.c")
(include-c "op_bstr.c")

(include-c "ip_con.c")
(include-c "ip_str.c")
(include-c "ip_file.c")

(load "ip_bufr.scm")

(include-c "scanner.c")

(load "misc.scm")
(load "highio.scm")
(load "objref.scm")
(load "userport.scm")
