/*
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
*/
#include "runtim.h"
#include "trs.h"
#include "thread_r.h"

/*
    Threaded Scheme
*/

void thread_unblock( obj thread )
{
obj entry;

    entry = cons( thread, pair_cdr( ready_queue ) );
    gvec_write( ready_queue, SLOT(1), entry );
}

/*
    removes the CURRENT THREAD ONLY from the
    ready queue
*/

void mark_thread_unready( void )
{
    gvec_write_ptr( ready_queue, 
		    SLOT(0), 
		    pair_car( pair_cdr( ready_queue ) ) );
}
