#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
(define root: "boot_list" %boot-list)    ; used to let GC know about
			  		 ; the current boot list is

(%define-glue (%gvec-alloc class size)
{
    COUNT_ARGS(2);
    REG0 = gvec_alloc( fx2int(size), class );
    RETURN(1);
})

(%define-glue (%bvec-alloc class size)
{
    COUNT_ARGS(2);
    REG0 = bvec_alloc( fx2int(size), class );
    RETURN(1);
})

(%define-glue (_%make class)
{
unsigned i;

    COUNT_ARGS_AT_LEAST(1);
    REG0 = alloc( SLOT(arg_count_reg-1), class );

    for (i=1; i<arg_count_reg; i++)
	gvec_write_fresh( REG0, SLOT(i-1), reg_ref(i) );
    
    RETURN(1);
})

(%define-glue (%make* class)
{
unsigned i, n;

    COUNT_ARGS_AT_LEAST(2);
    n = expand_last();
    REG0 = alloc( SLOT(n-1), class );
    
    for (i=1; i<n; i++)
	gvec_write_fresh( REG0, SLOT(i-1), reg_ref(i) );
    
    RETURN(1);
})

(export %gvec-alloc %bvec-alloc %make* _%make)

(define (*foo-procedure* x)
    (cons (fluid-ref *required*)
          (fluid-ref *optional* x)))
	  
    
