#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
(define-shadow %define-class-rewriter %define-class-rewriter)
(define-shadow %make-class-rewriter %make-class-rewriter)
(define-shadow %slot-constructor %slot-constructor)
(define-shadow %make-rewriter %make-rewriter)
(define-shadow %define-setters-rewriter %define-setters-rewriter)
(define-shadow %define-getters-rewriter %define-getters-rewriter)

(define-rewriter (%define-getters form eval envt)
    (%define-getters-rewriter form eval envt))

(define-rewriter (%define-setters form eval envt)
    (%define-setters-rewriter form eval envt))

(define-rewriter (define-class form eval)
    (%define-class-rewriter form eval))

(define-rewriter (make-class form eval)
    (%make-class-rewriter form eval))

(define-macro (make-method specializers implementation)
    (%make <Method> specializers implementation))

(define-rewriter (%slot form)
    (%slot-constructor (cadr form) (caddr form)))

(define-rewriter (make form eval)
    (%make-rewriter form eval))

(export define-class
	make
	%make-class*
	make-method
	%define-setters
	%define-getters)

(export %define-class-rewriter
	%make-class-rewriter
	%slot-constructor
	%make-rewriter
	%define-setters-rewriter
	%define-getters-rewriter)

