#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#

(define root: "class_class" <<Class>> (class-of (class-of 0)))
(define root: "symbol_class"  <Symbol> (class-of 'x))
(define root: "bindingenvt_class" <BindingEnvt> (%shadow <BindingEnvt>))
(define root: "closure_class" <Closure> (class-of (%shadow map)))
(define root: "vector_class" <Vector> (class-of '#(1)))
(define root: "string_class" <String> (class-of "x"))
(define root: "pair_class" <Pair> (class-of '(1)))

(define-system "<<Class>>" <<Class>>)
(define-system "<Symbol>" <Symbol>)
(define-system "<Closure>" <Closure>)
(define-system "<BindingEnvt>" <BindingEnvt>)
(define-system "<Vector>" <Vector>)
(define-system "<String>" <String>)
(define-system "<Pair>" <Pair>)

(define-macro (%make-envt . things)
    (%make <BindingEnvt> . things))

(define-macro (%make-gf-envt . things)
    (%make <BindingEnvt> . things))

(define-macro (%make-closure envt tmpl)
    (%make <Closure> envt tmpl))


(export <<Class>> <Symbol> <BindingEnvt> <Closure> <Vector> <String> <Pair>)
(export %make-envt %make-gf-envt %make-closure)
