#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
;; methods for <Object>

(%define-glue ($default-display thing)
{
    printf( "#<object %#x>#", VAL(thing) );
    RETURN(1); 
})
  
(define ($write-object obj port)
    ($default-display obj))

(define ($display-object obj port)
    ($default-display obj))

(define ($initialize-object obj)
    obj)

(define-macro (make-method specializers impl)
    (%make <Method> specializers impl))

(%gvec-write $write-gfe 
	     2 
	     (list (make-method (list <Object>) $write-object)))

(%gvec-write $display-gfe 
	     2 
	     (list (make-method (list <Object>) $display-object)))

(%gvec-write $initialize-gfe 
	     2 
	     (list (make-method (list <Object>) $initialize-object)))


