#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
;;  Define the type system (class hierarchy)
;;  that is used by the compiled program.
;;


(define (make-template code-ptr link-info literals)
    (%make* <Template> code-ptr link-info literals))

(define (make-closure envt tmpl)
    (%make <Closure> envt tmpl))

(define (list->binding-envt enclosing contents)
    (%make* <BindingEnvt> enclosing contents))

(define (make-envt enclosing . contents)
    (%make* <BindingEnvt> enclosing contents))

#|
(define (default-types)
    (let-syntax ((type
    			(syntax-form (name)
			    (make <TopLevelVar>
				         name: (mquote name)
					 value: name
					 write-prot: #t)))
		 (type-as
    			(syntax-form (name type)
			    (make <TopLevelVar>
				         name: (mquote name)
					 value: type
					 write-prot: #t))))
	(list
	 (type-as <obj> <Object>)
	 (type <Object>)
	 (type <raw-bool>)
	 (type <raw-float>)
	 (type <raw-int>)
	 (type <raw-int-bytes>))))
|#
