#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
#|
    (import bltin)
    (import scmio)
    (import unxlib)
    (import cmplr)
|#

;(multi-bind! *self* (repl-top-level-envt))

;; run
;;   (load "../patch-inside.scm")
;; first

;; if $ALLOW-FORM-RESTART is truish, then each top-level form get's
;; a continuation saved in the dynamic state that allows
;; it's evaluation to be exited (see srcfile.scm)

(define $allow-form-restart #f)

; (load "gfs.bbi")

(load "classes.scm")

(load "primops.scm")  ;; a rewriter for 'define-primop'
(load "module.scm")
(load "srcfile.scm")
(load "preload.scm")
(load "joinfile.scm")

; in (v2.0.5f.2, 94.05.24) and later,
; assembly.scm is in (%use compiler)
;(load "assem.scm")

(load "wrvinsn.scm")
(load "cmplcode.scm")
(load "primcall.scm")
(load "definers.scm")
(load "estsize.scm")

(load "coerce.scm")
(load "gen-asm2.scm")

(load "loops.scm")
(load "system.scm")
;(load "../bob2/rewriter.scm")

;(export load-module load-module-in build-boot-module)

(define-alias _car car)
(define-alias _cadr cadr)
(define-alias _list list)

(load "../bltin/rewrite.scm")
(load "../scmio/fmtlang.scm")
