#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
(define <Object*> <Object>)
(define <Integer*> <FixNum>)
(define <String*> <String>)
(define <Boolean*> <Boolean>)
(define <Closure*> <Closure>)

(define-class <raw-type> (<Object>))
(define-class <raw-bool> (<raw-type>))
(define-class <raw-float> (<raw-type>))
(define-class <raw-int> (<raw-type>))
(define-class <raw-str> (<raw-type>))

; the RAW-INT-BYTES type is sort of like RAW-INT, except
; that fixnums are interpreted as being word offsets or sizes,
; but the raw integer is a byte offset or size
; (hence, when converting from raw-int-bytes to fixnums,
;  the raw-int-bytes had better be a multiple of the word
;  size (4))

(define-class <raw-int-bytes> (<raw-type>))
