/*
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
*/
#ifndef _H_SCHEMEDL
#define _H_SCHEMEDL

#ifdef _H_OBJ
obj scheme_dl_lookup( obj dlfile, obj link_symbol_name );
obj scheme_dl_load( obj objfile );
void scheme_dl_done_loading( obj dlfile );
#endif

/* routines provided by the OS-specific layer */

/*
    initialize whatever you need, possibly as a
    function of the executable's name
*/

void init_dynamic_link( const char *argv0 );

/* 
    must return a word (4-byte) aligned handle,
    or NULL if the file could not be dynamically linked
*/

void *dynamic_link_file( const char *path );

/*
    look up a symbol in a given file
*/

void *resolve_link_symbol( void *info, const char *name );

/*
    finished accessing symbols from the given link file
*/

void done_resolving( void *info );

#endif /* _H_SCHEMEDL */

