/*
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
*/
#include "oslib_p.h"

/* Link file for the oslib module */

#define NUM_ROOTS (1)
obj oslib_root_vector[NUM_ROOTS];

#ifdef PROVIDE_ROOT_NAMES
static struct root_info roots[] = {
    { 0, NULL } };
#else /* PROVIDE_ROOT_NAMES */
#define roots ((struct root_info *)0)
#endif /* PROVIDE_ROOT_NAMES */
extern struct part_descr oslib_part_osdli;
extern struct part_descr oslib_part_time;
extern struct part_descr oslib_part_filesys;
extern struct part_descr oslib_part_syscall;
extern struct part_descr oslib_part_gui;
extern struct part_descr oslib_part_timer;
extern struct part_descr oslib_part_sockglue;
extern struct part_descr oslib_part_gcglue;

static struct part_descr *(tab[]) = {
    &oslib_part_osdli,
    &oslib_part_time,
    &oslib_part_filesys,
    &oslib_part_syscall,
    &oslib_part_gui,
    &oslib_part_timer,
    &oslib_part_sockglue,
    &oslib_part_gcglue,
    NULL };
struct module_descr module_oslib = { "oslib", tab,
	NUM_ROOTS, /* num_roots */
	oslib_root_vector,
	roots};

