#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
(define (dload dir)
    (let* ((d (string->dir dir))
      	   (last (last-directory d))
    	   (name (string->symbol last))
	   (of (make <file-name> directory: d
	   			 filename: (string-append last "_m")
				 extension: "o"))
	   (if (make <file-name> directory: d
	   			 filename: (string-append last "_m")
				 extension: "img")))
	(format #t "**** dynamic loader: ~s\n" dir)
	(format #t "     d = ~s\n" d)
	(format #t "     last = ~s\n" last)
	(format #t "     name = ~s\n" name)
	(format #t "     .o file = ~s\n" of)
	(format #t "     .img file = ~s\n" if)
	(dynamic-load-module
	    (pathname->string of)
	    (pathname->string if)
	    name)))

; (dynamic-load-module "tnf_m/tnf_m.o" "/tmp/test.2" 'tnf)
