#include "igps.hh"
#include "inlines.hh"

igp_manager::igp_manager(void){
    // Set the primary and auxiliary igp lists.
    
    for(int i = 0; i < NUMBER_OF_GENERATIONS - 1; i++){
	old_igps[i] = igp_list[i][0];
	new_igps[i] = igp_list[i][1];
	old_igp_num[i] = 0;
	new_igp_num[i] = 0;
	for(int j = 0; j < NUMBER_OF_GENERATIONS - 1; j++){
	    old_igp_next[i][j] = 0;
	    new_igp_next[i][j] = 0;
	}
    }
}

#ifndef INLINES
#include "igps1.ci"
#include "igps2.ci"
#endif
