/*
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
*/
#define COLLECT0() STMT( obj t = COLLECT_TOP(); \
		 	 switch (arg_count_reg) \
			 { \
			    default: t = cons( REG9, t ); \
			    case 9:  t = cons( REG8, t ); \
			    case 8:  t = cons( REG7, t ); \
			    case 7:  t = cons( REG6, t ); \
			    case 6:  t = cons( REG5, t ); \
			    case 5:  t = cons( REG4, t ); \
			    case 4:  t = cons( REG3, t ); \
			    case 3:  t = cons( REG2, t ); \
			    case 2:  t = cons( REG1, t ); \
			    case 1:  t = cons( REG0, t ); \
			    case 0: ; } REG0 = t; )
#define COLLECT1() STMT( obj t = COLLECT_TOP(); \
		 	 switch (arg_count_reg) \
			 { \
			    default: t = cons( REG9, t ); \
			    case 9:  t = cons( REG8, t ); \
			    case 8:  t = cons( REG7, t ); \
			    case 7:  t = cons( REG6, t ); \
			    case 6:  t = cons( REG5, t ); \
			    case 5:  t = cons( REG4, t ); \
			    case 4:  t = cons( REG3, t ); \
			    case 3:  t = cons( REG2, t ); \
			    case 2:  t = cons( REG1, t ); \
			    case 1: ; \
			    case 0: ; } REG1 = t; )
#define COLLECT2() STMT( obj t = COLLECT_TOP(); \
		 	 switch (arg_count_reg) \
			 { \
			    default: t = cons( REG9, t ); \
			    case 9:  t = cons( REG8, t ); \
			    case 8:  t = cons( REG7, t ); \
			    case 7:  t = cons( REG6, t ); \
			    case 6:  t = cons( REG5, t ); \
			    case 5:  t = cons( REG4, t ); \
			    case 4:  t = cons( REG3, t ); \
			    case 3:  t = cons( REG2, t ); \
			    case 2:; case 1:;  \
			    case 0:; } REG2 = t; )
#define COLLECT3() STMT( obj t = COLLECT_TOP(); \
		 	 switch (arg_count_reg) \
			 { \
			    default: t = cons( REG9, t ); \
			    case 9:  t = cons( REG8, t ); \
			    case 8:  t = cons( REG7, t ); \
			    case 7:  t = cons( REG6, t ); \
			    case 6:  t = cons( REG5, t ); \
			    case 5:  t = cons( REG4, t ); \
			    case 4:  t = cons( REG3, t ); \
			    case 3:; case 2:; case 1:;  \
			    case 0:; } REG3 = t; )
#define COLLECT4() STMT( obj t = COLLECT_TOP(); \
		 	 switch (arg_count_reg) \
			 { \
			    default: t = cons( REG9, t ); \
			    case 9:  t = cons( REG8, t ); \
			    case 8:  t = cons( REG7, t ); \
			    case 7:  t = cons( REG6, t ); \
			    case 6:  t = cons( REG5, t ); \
			    case 5:  t = cons( REG4, t ); \
			    case 4:;  \
			    case 3:; case 2:; case 1:;  \
			    case 0:; } REG4 = t; )
#define COLLECT5() STMT( obj t = COLLECT_TOP(); \
		 	 switch (arg_count_reg) \
			 { \
			    default: t = cons( REG9, t ); \
			    case 9:  t = cons( REG8, t ); \
			    case 8:  t = cons( REG7, t ); \
			    case 7:  t = cons( REG6, t ); \
			    case 6:  t = cons( REG5, t ); \
			    case 5:; case 4:;  \
			    case 3:; case 2:; case 1:;  \
			    case 0:; } REG5 = t; )
#define COLLECT6() STMT( obj t = COLLECT_TOP(); \
		 	 switch (arg_count_reg) \
			 { \
			    default: t = cons( REG9, t ); \
			    case 9:  t = cons( REG8, t ); \
			    case 8:  t = cons( REG7, t ); \
			    case 7:  t = cons( REG6, t ); \
			    case 6:; case 5:; case 4:;  \
			    case 3:; case 2:; case 1:;  \
			    case 0:; } REG6 = t; )
#define COLLECT7() STMT( obj t = COLLECT_TOP(); \
		 	 switch (arg_count_reg) \
			 { \
			    default: t = cons( REG9, t ); \
			    case 9:  t = cons( REG8, t ); \
			    case 8:  t = cons( REG7, t ); \
			    case 7:; case 6:; case 5:; case 4:;  \
			    case 3:; case 2:; case 1:;  \
			    case 0:; } REG7 = t; )
#define COLLECT8() STMT( obj t = COLLECT_TOP(); \
		 	 switch (arg_count_reg) \
			 { \
			    default: t = cons( REG9, t ); \
			    case 9:  t = cons( REG8, t ); \
			    case 8:; case 7:; case 6:; case 5:; case 4:;  \
			    case 3:; case 2:; case 1:;  \
			    case 0:; } REG8 = t; )
#define COLLECT9() STMT( obj t = COLLECT_TOP(); \
		 	 if (arg_count_reg >= 10) \
				t = cons( REG9, t ); \
			 REG9 = t; )
