#|
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
|#
(define-class <generic-table> (<table>)
    table-hash-function
    table-equal-function)

(define-method table-key-present? ((self <generic-table>) key)
    (generic-hash-table-probe self ((table-hash-function self) key) key))

(define-method table-lookup ((self <generic-table>) key)
    (generic-hash-table-lookup self ((table-hash-function self) key) key))

(define-method table-remove! ((self <generic-table>) key)
    (generic-hash-table-remove self ((table-hash-function self) key) key))

(define-method table-insert! ((self <generic-table>) key value)
    (generic-hash-table-insert self 
			       ((table-hash-function self) key) 
			       key 
			       value))
