/*
Copyright (C) 1994  Donovan Kolbly, Paul Wilson

This file is part of RScheme (v0.5.0, 94.12.31)

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author may be reached at Donovan.Kolbly@TKG.com
or dkolbly@cs.utexas.edu or c/o wilson@cs.utexas.edu
*/
#include "usrlib_p.h"

/* Link file for the usrlib module */

#define NUM_ROOTS (1)
obj usrlib_root_vector[NUM_ROOTS];

#ifdef PROVIDE_ROOT_NAMES
static struct root_info roots[] = {
    { 0, NULL } };
#else /* PROVIDE_ROOT_NAMES */
#define roots ((struct root_info *)0)
#endif /* PROVIDE_ROOT_NAMES */
extern struct part_descr usrlib_part_rw_igfs4;
extern struct part_descr usrlib_part_rw_igfs3;
extern struct part_descr usrlib_part_rw_igfs2;
extern struct part_descr usrlib_part_rw_igfs1;
extern struct part_descr usrlib_part_rw_igfs;
extern struct part_descr usrlib_part_paths3;
extern struct part_descr usrlib_part_paths2;
extern struct part_descr usrlib_part_paths1;
extern struct part_descr usrlib_part_paths;
extern struct part_descr usrlib_part_stub;
extern struct part_descr usrlib_part_print2;
extern struct part_descr usrlib_part_print1;
extern struct part_descr usrlib_part_print;
extern struct part_descr usrlib_part_dloado;
extern struct part_descr usrlib_part_weakptrs;
extern struct part_descr usrlib_part_regex3;
extern struct part_descr usrlib_part_regex2;
extern struct part_descr usrlib_part_regex1;
extern struct part_descr usrlib_part_regex;

static struct part_descr *(tab[]) = {
    &usrlib_part_rw_igfs4,
    &usrlib_part_rw_igfs3,
    &usrlib_part_rw_igfs2,
    &usrlib_part_rw_igfs1,
    &usrlib_part_rw_igfs,
    &usrlib_part_paths3,
    &usrlib_part_paths2,
    &usrlib_part_paths1,
    &usrlib_part_paths,
    &usrlib_part_stub,
    &usrlib_part_print2,
    &usrlib_part_print1,
    &usrlib_part_print,
    &usrlib_part_dloado,
    &usrlib_part_weakptrs,
    &usrlib_part_regex3,
    &usrlib_part_regex2,
    &usrlib_part_regex1,
    &usrlib_part_regex,
    NULL };
struct module_descr module_usrlib = { "usrlib", tab,
	NUM_ROOTS, /* num_roots */
	usrlib_root_vector,
	roots};

